## org.biojavax.bio.phylo.tree
Interface Tree

All Known Subinterfaces:
  RootedTree, UnrootedTree

All Known Implementing Classes:
  DefaultRootedTree

    public interface Tree

Version:
  $Id: Tree.java,v 1.2 2006/12/14 15:10:42 tobias Exp $

  created on 12.12.2006 13:23:41
Author:
  Tobias Thierer

Method Summary
`void` `addBranch(Branch branch)` Adds a branch to the tree.
`boolean` `isEmpty()`
`java.util.Iterator` `iterator()` An iterator over the nodes of this tree.

Method Detail

### addBranch

    void addBranch(Branch branch)

  Adds a branch to the tree. branch.getNodeA() must already be in this tree; branch.getNodeB() must not yet be in this tree, but it may already be in another tree.

  Parameters:
    `branch` -

### iterator

    java.util.Iterator iterator()

  An iterator over the nodes of this tree.

### isEmpty

    boolean isEmpty()